/**
 * mucss entry.
 * Contains all the submodules and bindings.
 * It is wiser to include only needed submodules though.
 * See submodules for details.
 *
 * @module mucss
 */

var css = require('./css');
css.prefix = require('./prefix');
css.selection = require('./selection');
css.enableSelection = css.selection.enable;
css.disableSelection = css.selection.disable;
css.padding = require('./padding');
css.margin = require('./margin');
css.border = require('./border');
css.offset = require('./offset');
css.parseValue = require('./parse-value');
css.isFixed = require('./is-fixed');
css.scrollbar = require('./scrollbar');
css.hasScroll = require('./has-scroll');
css.hasScrollX = css.hasScroll.x;
css.hasScrollY = css.hasScroll.y;
css.Rect = require('./rect');
css.getTranslate = require('./translate');
css.isInViewport = require('./is-in-viewport');


module.exports = css;